.title-block__outer {
    background: radial-gradient(62.29% 45.75% at 50% 47.8%, rgba(245, 249, 255, 0) 0%, #F5F9FF 100%);
    overflow: hidden;
    position: relative;
}

.title-block {
    padding: 270px 0;
}

.title-block__outer::before {
    content: "";
    position: absolute;
    inset: 0;
    background-image:
        linear-gradient(#EBF4FF 1px, transparent 1px),
        linear-gradient(90deg, #EBF4FF 1px, transparent 1px);
    background-size: 15px 46px;
    opacity: 0.6;
    pointer-events: none;
    z-index: -1;
}

.title-block__grid {
    position: relative;
    z-index: 1;
    display: grid;
    grid-template-columns: 615px 1fr;
    align-items: center;
}

.title-block__content {
    color: #4a4a6a;
}

.title-block__title {
    margin: 0;
    font-size: 52px;
    line-height: 1.2;
    font-weight: 700;
    color: var(--Secondary-500-Text-Heading, #474766);
}

.title-block__title-accent {
    display: block;
    color: var(--Brand-500-Main-Accent, #258BFF);
;
}

.title-block__text {
    margin: 0;
    font-size: 18px;
    line-height: 1.5;
    color: #6d6d89;
    margin-top: 16px;
    margin-bottom: 40px;
}

.title-block__button {
    max-width: 250px;
}

.title-block__divider {
    height: 1px;
    background: rgba(47, 118, 255, 0.2);
    width: 100%;
    max-width: 360px;
    margin: 24px 0;
}

.title-block__meta {
    display: flex;
    align-items: center;
    gap: 16px;
}

.title-block__meta-number {
    font-weight: 600;
    font-size: 20px;
    line-height: 150%;
    letter-spacing: 0%;
    color: var(--Secondary-500-Text-Heading, #474766);
}

.title-block__meta-caption {
    font-weight: 400;
    font-size: 14px;
    line-height: 150%;
    letter-spacing: 0%;
}

.title-block__media {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 0 50px;
}

.title-block__photo {
    position: relative;
    width: 100%;
    height: 100%;
    border-radius: 32px;
    overflow: hidden;
    background: #dfe7f7;
    border: 2px solid #FFFFFF;

    box-shadow: 0px 15px 34px 0px #6765651A,
        0px 61px 61px 0px #67656517,
        0px 137px 82px 0px #6765650D,
        0px 244px 98px 0px #67656503,
        0px 382px 107px 0px #67656500;
    display: flex;
}

.title-block__photo-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.title-block__badge {
    position: absolute;
    display: flex;
    flex-direction: column;
    padding: 18px 22px;
    border-radius: 18px;
    color: #ffffff;
    box-shadow: 0 16px 30px rgba(31, 54, 120, 0.25);
}

.title-block__badge--top {
    right: -85px;
    top: -85px;
    z-index: 1;
    gap: 8px;
    background: var(--Brand-400, #3392FF);
    border: 1px solid #1078F3;
    box-shadow: -1px 4px 10px 0px #A6A6A61A,
        -6px 18px 19px 0px #A6A6A617,
        -13px 40px 25px 0px #A6A6A60D,
        -23px 71px 30px 0px #A6A6A603,
        -36px 110px 32px 0px #A6A6A600;
}

.title-block__badge--scale {
    left: -57px;
    bottom: -85px;
    background: #65658D;
    gap: 1px;
}

.title-block__badge-title {
    font-weight: 700;
    font-size: 32px;
    line-height: 150%;
    letter-spacing: 0%;
}

.title-block__badge-small-title {
    font-weight: 400;
    font-size: 18px;
    line-height: 150%;
    letter-spacing: 0%;
    color: #FFFFFFCC;
}

.title-block__badge-text {
    font-weight: 400;
    font-size: 18px;
    line-height: 150%;
    letter-spacing: 0%;
    color: #FFFFFFCC;
}

.title-block__badge-number {
    font-size: 30px;
    font-weight: 700;
}

.title-block__people-picture {
    height: 60px;
    width: auto;
    display: flex;
}

.title-block__people-img {
    height: 100%;
    width: auto;
}

@media (max-width: 1510px) {
    .title-block__badge--top {
        right: 0;
    }

    .title-block__badge--scale {
        left: 0;
    }
}

@media (max-width: 1250px) {
    .title-block__grid {
        grid-template-columns: 500px 1fr;
        gap: 10px;
    }
}

@media (max-width: 1080px) {
    .title-block__grid {
        grid-template-columns: 400px 1fr;
    }

    .title-block__title {
        font-size: 42px;
    }

    .title-block__badge-title {
        font-size: 26px;
    }

    .title-block__badge {
        padding: 14px 20px;
    }

    .title-block__badge--top {
        gap: 4px;
    }
}

@media (max-width: 860px) {
    .title-block__grid {
        display: flex;
        flex-direction: column-reverse;
    }

    .title-block__media {
        padding: 0;
        margin-bottom: 80px;
    }

    .title-block__badge--top {
        top: -50px;
        right: -10px;
    }

    .title-block__badge--scale {
        bottom: -50px;
        left: -10px;
    }
}

@media (max-width: 768px) {
    .title-block {
        padding: 56px 0 40px;
    }

    .title-block__title {
        font-size: 32px;
    }

    .title-block__text {
        font-size: 16px;
    }

    .title-block__button {
        width: 100%;
        text-align: center;
    }

    .title-block__meta {
        flex-direction: column;
        align-items: flex-start;
    }

    .title-block__media {
        gap: 16px;
        flex-direction: column;
    }

    .title-block__photo {
        border-radius: 18px;
    }
}

@media screen and (max-width: 600px) {
    .title-block__badge-text,
    .title-block__badge-small-title {
        font-size: 14px;
    }
    
    .title-block__badge {
        padding: 10px;
        border-radius: 10px;
    }

    .title-block__badge-title {
        font-size: 18px;
    }

    .title-block__badge--scale {
        bottom: -40px;
    }

    .title-block__badge--top {
        top: -40px;
    }

    .title-block__media {
        margin-top: 50px;
    }
}

@media (max-width: 520px) {
    .title-block {
        padding: 40px 0 32px;
    }

    .title-block__title {
        font-size: 28px;
    }

}

